Subject: Re: [PATCH 8/9] for-each-ref: add option to fully dereference tags

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Nov 2023 10:22:47 +0900

Victoria Dye <[email-masked]> writes:

> I can (and would like to) deprecate the "peel once" behavior and replace it
> with "peel all", but with how long it's been around and the potential
> performance impact, such a change should probably be clearly communicated.

I've written a fairly detailed response on this about the reason why
I think that "leave a mention in the backward compatibility notes
section of the release notes" (your #1) is sufficient, but it seems
to have been lost in the ether.  I'll wait a bit and if the previous
response does not materialize, I may type it again.

But in addition to what I wrote there, there is this thread [*] from
2019 that indicates that our position is to mildly discourage
tag-to-tag in the first place.

[Reference]

* https://lore.kernel.org/git/[email-masked]/